Get FCM Fills
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/fcm/fills \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/fcm/fills"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/fcm/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fills": [
{
"fill_id": "<string>",
"exchange_index": 0,
"ticker": "<string>",
"taker_outcome_side": "yes",
"count_fp": "10.00",
"yes_price_dollars": "0.5600",
"created_time": "2023-11-07T05:31:56Z",
"maker_order_id": "<string>",
"maker_subtrader_id": "<string>",
"maker_fee_cost": "0.5600",
"taker_order_id": "<string>",
"taker_subtrader_id": "<string>",
"taker_fee_cost": "0.5600"
}
],
"cursor": "<string>"
}fcm
Get FCM Fills
Returns fills across the authenticated FCM’s subtraders. Requires FCM member access.
GET
/
fcm
/
fills
Get FCM Fills
Authorizations
Your API key ID
Base64 signature of the pre-sign text (timestamp + method + path) made with the API key's algorithm - RSA-PSS with SHA-256 for RSA keys, Ed25519 for Ed25519 keys
Request timestamp in milliseconds
Query Parameters
Filter items after this Unix timestamp
Filter items before this Unix timestamp
Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.